/*///+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~+
   
    80 .   ,   3  20 . 
 -----------   pi~3.14
 m=20
 n=80
 p=1/6
 q=5/6
 -----------
 x= (m-n*p)/sqrt(n*p*q)
 P80(20)= 1/sqrt(n*p*q) * 1/sqrt(2*pi) * exp^(-x*x/2)
 
 P80(20) = 0.0162
/*///+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~+
//+------------------------------------------------------------------+
//|                                              Formula Bernuli.mq4 |
//|                                                            Urain |
//+------------------------------------------------------------------+
#property copyright "Urain"
#property link      "http://www.mql4.com/ru/users/Urain"
#property show_inputs
extern int m=20;
extern int n=80;
extern double p=0.166666666666666667;
//+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~+

int start()
{//+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~+
 for(int i=40;i<200;i++)
    Alert("P"+i+"("+m+") = ",F_Bernuli( m, i, p)); 
return(0);
}//+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~+
//    void int double bool datetime string color extern  

double F_Bernuli(double m,double n,double p)
{//+------------------------------------------------------------------+
 double Pi=3.1415926535897932384626433832795;
 double q=1.0-p;
 double SQnpq=MathSqrt(n*p*q);
 double x=(m-n*p)/MathSqrt(n*p*q);
 double Pnm=(1.0/SQnpq)*(1.0/MathSqrt(2.0*Pi))*(MathExp(-x*x*0.5)); 
return(Pnm);
}//+------------------------------------------------------------------+


